﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Dtos.File;

namespace Hotline.Share.Dtos.DataSharing.PusherHotlineDto
{
    public class ReceiveFilesFromDsDto
    {
        /// <summary>
        /// DS业务类型
        /// </summary>
        public EDsBisType DsBisType { get; set; }

        /// <summary>
        /// 业务操作编号
        /// </summary>
        public string DsBisId { get; set; }

        /// <summary>
        /// 省编号
        /// </summary>
        public string ProvinceNo { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        public List<FileDto> Files { get; set; }

        /// <summary>
        /// 督办编号
        /// </summary>
        public string SuperviseId { get; set; }
    }

    public enum EDsBisType
    {
        /// <summary>
        /// 工单受理
        /// </summary>
        AcceptOrder = 1,

        /// <summary>
        /// 工单退回审核结果
        /// </summary>
        OrderPreviousResult = 2,

        /// <summary>
        /// 督办派发
        /// </summary>
        SendOrderSupervise = 3,

        /// <summary>
        /// 催单
        /// </summary>
        SendOrderUrge = 4,

        /// <summary>
        /// 甄别结果
        /// </summary>
        OrderScreenResult = 5,

        /// <summary>
        /// 延期审核结果
        /// </summary>
        OrderDelayResult = 6,

        /// <summary>
        /// 工单补充
        /// </summary>
        SendOrderComplement = 7,

        /// <summary>
        /// 工单办理结果
        /// </summary>
        OrderHandleResult = 8
    }
}
